scala.reflect.api.Trees

# Transformer

#### abstract class Transformer extends AnyRef

A class that implement a default tree transformation strategy: breadth-first component-wise cloning.

Source
  Trees.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Transformer
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Transformer()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Universe.Transformer to any2stringadd[Universe.Transformer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Universe.Transformer, B)

   Implicit information
     This member is added by an implicit conversion from Universe.Transformer to ArrowAssoc[Universe.Transformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def atOwner[A](owner: Universe.Symbol)(trans: ⇒ A): A

   Transforms a tree with a given owner symbol.

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def currentClass: Universe.Symbol

   The enclosing class of the currently transformed tree.

   The enclosing class of the currently transformed tree.

   Attributes
     protected

10. #### def currentMethod: Universe.Symbol

    The enclosing method of the currently transformed tree.

    The enclosing method of the currently transformed tree.

    Attributes
      protected

11. #### var currentOwner: Universe.Symbol

    The current owner symbol.

    The current owner symbol.

    Attributes
      protected[scala]

12. #### def ensuring(cond: (Universe.Transformer) ⇒ Boolean, msg: ⇒ Any): Universe.Transformer

    Implicit information
      This member is added by an implicit conversion from Universe.Transformer to Ensuring[Universe.Transformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (Universe.Transformer) ⇒ Boolean): Universe.Transformer

    Implicit information
      This member is added by an implicit conversion from Universe.Transformer to Ensuring[Universe.Transformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): Universe.Transformer

    Implicit information
      This member is added by an implicit conversion from Universe.Transformer to Ensuring[Universe.Transformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): Universe.Transformer

    Implicit information
      This member is added by an implicit conversion from Universe.Transformer to Ensuring[Universe.Transformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Universe.Transformer to StringFormat[Universe.Transformer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def transform(tree: Universe.Tree): Universe.Tree

    Transforms a single tree.

29. #### def transformCaseDefs(trees: List[Universe.CaseDef]): List[Universe.CaseDef]

30. #### def transformIdents(trees: List[Universe.Ident]): List[Universe.Ident]

    Transforms a list of `Ident` nodes.

31. #### def transformMemberDefs(trees: List[Universe.MemberDef]): List[Universe.MemberDef]

    Transforms a list of `CaseDef` nodes.

32. #### def transformModifiers(mods: Universe.Modifiers): Universe.Modifiers

    Transforms `Modifiers`.

33. #### def transformStats(stats: List[Universe.Tree], exprOwner: Universe.Symbol): List[Universe.Tree]

    Traverses a list of trees with a given owner symbol.

34. #### def transformTemplate(tree: Universe.Template): Universe.Template

    Transforms a `Template`.

35. #### def transformTrees(trees: List[Universe.Tree]): List[Universe.Tree]

    Transforms a list of trees.

36. #### def transformTypeDefs(trees: List[Universe.TypeDef]): List[Universe.TypeDef]

    Transforms a list of `TypeDef` trees.

37. #### def transformValDef(tree: Universe.ValDef): Universe.ValDef

    Transforms a `ValDef`.

38. #### def transformValDefs(trees: List[Universe.ValDef]): List[Universe.ValDef]

    Transforms a list of `ValDef` nodes.

39. #### def transformValDefss(treess: List[List[Universe.ValDef]]): List[List[Universe.ValDef]]

    Transforms a list of lists of `ValDef` nodes.

40. #### val treeCopy: Universe.TreeCopier

    The underlying tree copier.

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### def →[B](y: B): (Universe.Transformer, B)

    Implicit information
      This member is added by an implicit conversion from Universe.Transformer to ArrowAssoc[Universe.Transformer] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Universe.Transformer to any2stringadd[Universe.Transformer]

### Inherited by implicit conversion StringFormat from Universe.Transformer to StringFormat[Universe.Transformer]

### Inherited by implicit conversion Ensuring from Universe.Transformer to Ensuring[Universe.Transformer]

### Inherited by implicit conversion ArrowAssoc from Universe.Transformer to ArrowAssoc[Universe.Transformer]

### Ungrouped